--print("Setting Up Requester")
setMenuRequester(menu_boxMetalWide);
setMenuButton(menu_boxMetal);

scoutingString1 = getString("increase vision from 100 to 120");
scoutingString2 = getString("increase vision from 120 to 145");
scoutingString3 = getString("increase vision from 145 to 170");
scoutingString4 = getString("maxed out weapon handling mexcellent");

if getScouting() == 0 then
scoutingString = scoutingString1;
elseif getScouting() == 1 then
scoutingString = scoutingString2;
elseif getScouting() == 2 then
scoutingString = scoutingString3;
else
scoutingString = scoutingString4;
end

if getScouting() <= 2 then
popMenuRequester(scoutingString, getString("yep"), getString("no way"), "setScouting(getScouting() + 1);" .. afterLevel, "menuUnPop()");
else
popMenuInfo(scoutingString, getString("okay"), "menuUnPop()");
end
